package Merge_Types is
   pragma Pure;

   type Merge_Type is
      record
         I : Integer;
         C : Character;
      end record;

   function "<" (L, R : Merge_Type) return Boolean;

end Merge_Types;
